%% redo
%    restores the queue if the user has undone at least once.
% inputs:
%   object - current Undo
% outputs:
%   data:structure - the action to be redone
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [ data ] = redo( object )


if (object.undo_level == 0)
    data = [];
else
    object.current_depth = object.current_depth + 1;
    data = object.queue(object.current_depth);
    object.undo_level = object.undo_level - 1;
end



end

